# Snapshot report for `test/no-useless-switch-case.mjs`

The actual snapshot is saved in `no-useless-switch-case.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | switch (foo) {
      2 | 	case a:
      3 | 	default:
      4 | 		handleDefaultCase();
      5 | 		break;
      6 | }

> Error 1/1

    `␊
      1 | switch (foo) {␊
    > 2 | 	case a:␊
        | 	^^^^^^^ Useless case in switch statement.␊
      3 | 	default:␊
      4 | 		handleDefaultCase();␊
      5 | 		break;␊
      6 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	␊
      3 | 	default:␊
      4 | 		handleDefaultCase();␊
      5 | 		break;␊
      6 | }␊
    `

## Invalid #2
      1 | switch (foo) {
      2 | 	case a: {
      3 | 	}
      4 | 	default:
      5 | 		handleDefaultCase();
      6 | 		break;
      7 | }

> Error 1/1

    `␊
      1 | switch (foo) {␊
    > 2 | 	case a: {␊
        | 	^^^^^^^ Useless case in switch statement.␊
      3 | 	}␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	␊
      3 | 	default:␊
      4 | 		handleDefaultCase();␊
      5 | 		break;␊
      6 | }␊
    `

## Invalid #3
       1 | switch (foo) {
       2 | 	case a: {
       3 | 		;;
       4 | 		{
       5 | 			;;
       6 | 			{
       7 | 				;;
       8 | 			}
       9 | 		}
      10 | 	}
      11 | 	default:
      12 | 		handleDefaultCase();
      13 | 		break;
      14 | }

> Error 1/1

    `␊
       1 | switch (foo) {␊
    >  2 | 	case a: {␊
         | 	^^^^^^^ Useless case in switch statement.␊
       3 | 		;;␊
       4 | 		{␊
       5 | 			;;␊
       6 | 			{␊
       7 | 				;;␊
       8 | 			}␊
       9 | 		}␊
      10 | 	}␊
      11 | 	default:␊
      12 | 		handleDefaultCase();␊
      13 | 		break;␊
      14 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	␊
      3 | 	default:␊
      4 | 		handleDefaultCase();␊
      5 | 		break;␊
      6 | }␊
    `

## Invalid #4
      1 | switch (foo) {
      2 | 	case a:
      3 | 	case (( b ))         :
      4 | 	default:
      5 | 		handleDefaultCase();
      6 | 		break;
      7 | }

> Error 1/2

    `␊
      1 | switch (foo) {␊
    > 2 | 	case a:␊
        | 	^^^^^^^ Useless case in switch statement.␊
      3 | 	case (( b ))         :␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	␊
      3 | 	case (( b ))         :␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    `

> Error 2/2

    `␊
      1 | switch (foo) {␊
      2 | 	case a:␊
    > 3 | 	case (( b ))         :␊
        | 	^^^^^^^^^^^^^^^^^^^^^^ Useless case in switch statement.␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	case a:␊
      3 | 	␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    `

## Invalid #5
       1 | switch (foo) {
       2 | 	case a:
       3 | 	case b:
       4 | 		handleCaseAB();
       5 | 		break;
       6 | 	case d:
       7 | 	case d:
       8 | 	default:
       9 | 		handleDefaultCase();
      10 | 		break;
      11 | }

> Error 1/2

    `␊
       1 | switch (foo) {␊
       2 | 	case a:␊
       3 | 	case b:␊
       4 | 		handleCaseAB();␊
       5 | 		break;␊
    >  6 | 	case d:␊
         | 	^^^^^^^ Useless case in switch statement.␊
       7 | 	case d:␊
       8 | 	default:␊
       9 | 		handleDefaultCase();␊
      10 | 		break;␊
      11 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
       1 | switch (foo) {␊
       2 | 	case a:␊
       3 | 	case b:␊
       4 | 		handleCaseAB();␊
       5 | 		break;␊
       6 | 	␊
       7 | 	case d:␊
       8 | 	default:␊
       9 | 		handleDefaultCase();␊
      10 | 		break;␊
      11 | }␊
    `

> Error 2/2

    `␊
       1 | switch (foo) {␊
       2 | 	case a:␊
       3 | 	case b:␊
       4 | 		handleCaseAB();␊
       5 | 		break;␊
       6 | 	case d:␊
    >  7 | 	case d:␊
         | 	^^^^^^^ Useless case in switch statement.␊
       8 | 	default:␊
       9 | 		handleDefaultCase();␊
      10 | 		break;␊
      11 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
       1 | switch (foo) {␊
       2 | 	case a:␊
       3 | 	case b:␊
       4 | 		handleCaseAB();␊
       5 | 		break;␊
       6 | 	case d:␊
       7 | 	␊
       8 | 	default:␊
       9 | 		handleDefaultCase();␊
      10 | 		break;␊
      11 | }␊
    `

## Invalid #6
      1 | switch (foo) {
      2 | 	case a:
      3 | 	case b:
      4 | 	default:
      5 | 		handleDefaultCase();
      6 | 		break;
      7 | }

> Error 1/2

    `␊
      1 | switch (foo) {␊
    > 2 | 	case a:␊
        | 	^^^^^^^ Useless case in switch statement.␊
      3 | 	case b:␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	␊
      3 | 	case b:␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    `

> Error 2/2

    `␊
      1 | switch (foo) {␊
      2 | 	case a:␊
    > 3 | 	case b:␊
        | 	^^^^^^^ Useless case in switch statement.␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	case a:␊
      3 | 	␊
      4 | 	default:␊
      5 | 		handleDefaultCase();␊
      6 | 		break;␊
      7 | }␊
    `

## Invalid #7
      1 | switch (foo) {
      2 | 	// eslint-disable-next-line
      3 | 	case a:
      4 | 	case b:
      5 | 	default:
      6 | 		handleDefaultCase();
      7 | 		break;
      8 | }

> Error 1/1

    `␊
      1 | switch (foo) {␊
      2 | 	// eslint-disable-next-line␊
      3 | 	case a:␊
    > 4 | 	case b:␊
        | 	^^^^^^^ Useless case in switch statement.␊
      5 | 	default:␊
      6 | 		handleDefaultCase();␊
      7 | 		break;␊
      8 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	// eslint-disable-next-line␊
      3 | 	case a:␊
      4 | 	␊
      5 | 	default:␊
      6 | 		handleDefaultCase();␊
      7 | 		break;␊
      8 | }␊
    `

## Invalid #8
      1 | switch (foo) {
      2 | 	case a:
      3 | 	// eslint-disable-next-line
      4 | 	case b:
      5 | 	default:
      6 | 		handleDefaultCase();
      7 | 		break;
      8 | }

> Error 1/1

    `␊
      1 | switch (foo) {␊
    > 2 | 	case a:␊
        | 	^^^^^^^ Useless case in switch statement.␊
      3 | 	// eslint-disable-next-line␊
      4 | 	case b:␊
      5 | 	default:␊
      6 | 		handleDefaultCase();␊
      7 | 		break;␊
      8 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove this case.␊
      1 | switch (foo) {␊
      2 | 	␊
      3 | 	// eslint-disable-next-line␊
      4 | 	case b:␊
      5 | 	default:␊
      6 | 		handleDefaultCase();␊
      7 | 		break;␊
      8 | }␊
    `
