# Snapshot report for `test/prefer-array-flat-map.mjs`

The actual snapshot is saved in `prefer-array-flat-map.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const bar = [[1],[2],[3]].map(i => [i]).flat()

> Output

    `␊
      1 | const bar = [[1],[2],[3]].flatMap(i => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [[1],[2],[3]].map(i => [i]).flat()␊
        |                           ^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #2
      1 | const bar = [[1],[2],[3]].map(i => [i]).flat(1,)

> Output

    `␊
      1 | const bar = [[1],[2],[3]].flatMap(i => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [[1],[2],[3]].map(i => [i]).flat(1,)␊
        |                           ^^^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #3
      1 | const bar = [1,2,3].map(i => [i]).flat()

> Output

    `␊
      1 | const bar = [1,2,3].flatMap(i => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [1,2,3].map(i => [i]).flat()␊
        |                     ^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #4
      1 | const bar = [1,2,3].map((i) => [i]).flat()

> Output

    `␊
      1 | const bar = [1,2,3].flatMap((i) => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [1,2,3].map((i) => [i]).flat()␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #5
      1 | const bar = [1,2,3].map((i) => { return [i]; }).flat()

> Output

    `␊
      1 | const bar = [1,2,3].flatMap((i) => { return [i]; })␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [1,2,3].map((i) => { return [i]; }).flat()␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #6
      1 | const bar = [1,2,3].map(foo).flat()

> Output

    `␊
      1 | const bar = [1,2,3].flatMap(foo)␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [1,2,3].map(foo).flat()␊
        |                     ^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #7
      1 | const bar = foo.map(i => [i]).flat()

> Output

    `␊
      1 | const bar = foo.flatMap(i => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = foo.map(i => [i]).flat()␊
        |                 ^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #8
      1 | const bar = { map: () => {} }.map(i => [i]).flat()

> Output

    `␊
      1 | const bar = { map: () => {} }.flatMap(i => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = { map: () => {} }.map(i => [i]).flat()␊
        |                               ^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #9
      1 | const bar = [1,2,3].map(i => i).map(i => [i]).flat()

> Output

    `␊
      1 | const bar = [1,2,3].map(i => i).flatMap(i => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [1,2,3].map(i => i).map(i => [i]).flat()␊
        |                                 ^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #10
      1 | const bar = [1,2,3].sort().map(i => [i]).flat()

> Output

    `␊
      1 | const bar = [1,2,3].sort().flatMap(i => [i])␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [1,2,3].sort().map(i => [i]).flat()␊
        |                            ^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #11
      1 | const bar = (([1,2,3].map(i => [i]))).flat()

> Output

    `␊
      1 | const bar = (([1,2,3].flatMap(i => [i])))␊
    `

> Error 1/1

    `␊
    > 1 | const bar = (([1,2,3].map(i => [i]))).flat()␊
        |                       ^^^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #12
      1 | let bar = [1,2,3].map(i => {
      2 | 	return [i];
      3 | }).flat();

> Output

    `␊
      1 | let bar = [1,2,3].flatMap(i => {␊
      2 | 	return [i];␊
      3 | });␊
    `

> Error 1/1

    `␊
    > 1 | let bar = [1,2,3].map(i => {␊
        |                   ^^^^^^^^^^␊
    > 2 | 	return [i];␊
        | ^^^^^^^^^^^^␊
    > 3 | }).flat();␊
        | ^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #13
      1 | let bar = [1,2,3].map(i => {
      2 | 	return [i];
      3 | })
      4 | .flat();

> Output

    `␊
      1 | let bar = [1,2,3].flatMap(i => {␊
      2 | 	return [i];␊
      3 | });␊
    `

> Error 1/1

    `␊
    > 1 | let bar = [1,2,3].map(i => {␊
        |                   ^^^^^^^^^^␊
    > 2 | 	return [i];␊
        | ^^^^^^^^^^^^␊
    > 3 | })␊
        | ^^^^^^^^^^^^␊
    > 4 | .flat();␊
        | ^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #14
      1 | let bar = [1,2,3].map(i => {
      2 | 	return [i];
      3 | }) // comment
      4 | .flat();

> Output

    `␊
      1 | let bar = [1,2,3].flatMap(i => {␊
      2 | 	return [i];␊
      3 | });␊
    `

> Error 1/1

    `␊
    > 1 | let bar = [1,2,3].map(i => {␊
        |                   ^^^^^^^^^^␊
    > 2 | 	return [i];␊
        | ^^^^^^^^^^^^␊
    > 3 | }) // comment␊
        | ^^^^^^^^^^^^␊
    > 4 | .flat();␊
        | ^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #15
      1 | let bar = [1,2,3].map(i => {
      2 | 	return [i];
      3 | }) // comment
      4 | .flat(); // other

> Output

    `␊
      1 | let bar = [1,2,3].flatMap(i => {␊
      2 | 	return [i];␊
      3 | }); // other␊
    `

> Error 1/1

    `␊
    > 1 | let bar = [1,2,3].map(i => {␊
        |                   ^^^^^^^^^^␊
    > 2 | 	return [i];␊
        | ^^^^^^^^^^^^␊
    > 3 | }) // comment␊
        | ^^^^^^^^^^^^␊
    > 4 | .flat(); // other␊
        | ^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #16
      1 | let bar = [1,2,3]
      2 | 	.map(i => { return [i]; })
      3 | 	.flat();

> Output

    `␊
      1 | let bar = [1,2,3]␊
      2 | 	.flatMap(i => { return [i]; });␊
    `

> Error 1/1

    `␊
      1 | let bar = [1,2,3]␊
    > 2 | 	.map(i => { return [i]; })␊
        | 	 ^^^^^^^^^^^^^^^^^^^^^^^^^␊
    > 3 | 	.flat();␊
        | ^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #17
      1 | let bar = [1,2,3].map(i => { return [i]; })
      2 | 	.flat();

> Output

    `␊
      1 | let bar = [1,2,3].flatMap(i => { return [i]; });␊
    `

> Error 1/1

    `␊
    > 1 | let bar = [1,2,3].map(i => { return [i]; })␊
        |                   ^^^^^^^^^^^^^^^^^^^^^^^^^␊
    > 2 | 	.flat();␊
        | ^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #18
      1 | let bar = [1,2,3] . map( x => y ) . flat () // 🤪

> Output

    `␊
      1 | let bar = [1,2,3] . flatMap( x => y ) // 🤪␊
    `

> Error 1/1

    `␊
    > 1 | let bar = [1,2,3] . map( x => y ) . flat () // 🤪␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #19
      1 | const bar = [1,2,3].map(i => [i]).flat(1);

> Output

    `␊
      1 | const bar = [1,2,3].flatMap(i => [i]);␊
    `

> Error 1/1

    `␊
    > 1 | const bar = [1,2,3].map(i => [i]).flat(1);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `

## Invalid #20
      1 | const foo = bars
      2 | 	.filter(foo => !!foo.zaz)
      3 | 	.map(foo => doFoo(foo))
      4 | 	.flat();

> Output

    `␊
      1 | const foo = bars␊
      2 | 	.filter(foo => !!foo.zaz)␊
      3 | 	.flatMap(foo => doFoo(foo));␊
    `

> Error 1/1

    `␊
      1 | const foo = bars␊
      2 | 	.filter(foo => !!foo.zaz)␊
    > 3 | 	.map(foo => doFoo(foo))␊
        | 	 ^^^^^^^^^^^^^^^^^^^^^^␊
    > 4 | 	.flat();␊
        | ^^^^^^^^^ Prefer \`.flatMap(…)\` over \`.map(…).flat()\`.␊
    `
